Skip to main content
POST
/
reports
TypeScript
const response: Promise<FireblocksResponse<CreateReportResponse>> = fireblocks.reportsBeta.createReport(reportsBetaApiCreateReportRequest);
{
  "id": "0190b3c2-7e4a-7c31-9f2a-1b6d8e5a0c11"
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Body

application/json

Request body for creating a new asynchronous report job

reportType
enum<string>
required

The type of report to generate.

Available options:
ADDRESSES
Example:

"ADDRESSES"

outputFormat
enum<string>
required

The output file format of the report

Available options:
CSV
Example:

"CSV"

compress
boolean
default:false

Gzip the output file. Defaults to true.

Example:

true

filters
object

Filter options for the addresses report type.

Response

Report job accepted and queued for processing

Returned when a report job is successfully created. Use the id to poll for status via GET /v1/reports/{reportId}.

id
string
required

Unique identifier of the report job

Example:

"0190b3c2-7e4a-7c31-9f2a-1b6d8e5a0c11"